View Issue Details

IDProjectCategoryView StatusLast Update
0019567MediaMonkey 5Playlists (Auto) / Search / Filterspublic2022-11-29 15:23
Reporterrusty Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Product Version5.0.3 
Target Version5.1Fixed in Version5.1 
Summary0019567: List don't refresh when tracks are removed or deleted from filtered Playlists / Playing list
DescriptionWhen Removing or Deleting tracks from a filtered Playlist / Playing list the views fail to update with the following outcomes:
a) In some cases, the track isn't removed from the filtered view
b) In all cases the track remains in the Playlist / Playing [list] view
c) In some cases pressing F5 doesn't refresh the view to show the actual status

Here are the specific test cases and the associated outcomes:
1) Removal from filtered Playlist --> a, b
2) Removal from filtered Playing list --> b, c
3) Deletion from filtered Playlist --> b
4) Deletion from filtered Playing list --> a, b, c
Steps To Reproduce1 Go to a Playlist
2 Do a Contextual search set to Filter matches
3 Delete one of the found matches
--> No change, file keeps showing
4 Press F5
--> MediaMonkey shows the full list (but Contextual search still shows in Breadcrumbs), but file shows removed
5 Add file back with D&D
--> MediaMonkey switches back to search results, but the file is missing despite being match
6 Hit F5
--> MediaMonkey switches back to full list, file is there
Additional InformationReported at https://www.mediamonkey.com/forum/viewtopic.php?t=102958
TagsNo tags attached.
Fixed in build2800

Relationships

related to 0019568 assignedLudek Filtered (Contextual Search) Playlist doesn't refresh when adding files to it with D&D 
related to 0018113 closedLudek F5 refresh ignores contextual filter 
related to 0017390 closedLudek Disordered playlist scroll out of view when a track is deleted from it 
related to 0013919 closedLudek Cut&Paste of tracks from a playlist to Now Playing fails to add the tracks 

Activities

rusty

2022-11-17 17:15

administrator   ~0070373

although c) is particularly annoying, none of these are regressions vs. 5.0.3, so we can push this to 5.1.

Ludek

2022-11-17 21:27

developer   ~0070377

c) was already fixed in the past as 0018113 but now it works only in 50% of cases, probably a timing issue

Ludek

2022-11-17 23:27

developer   ~0070384

Last edited: 2022-11-21 21:53

c) fixed in 2800

+ fixed for playlists

To be fixed for Playing list

Ludek

2022-11-22 20:33

developer   ~0070422

Fixed in 2800

michal

2022-11-29 12:39

developer   ~0070455

Last edited: 2022-11-29 12:39

The fix caused regression, deleting from Playing list (Simplified list layout) now throws error, canDeleteSelected method is missing.

Ludek

2022-11-29 15:23

developer   ~0070456

Fixed